summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Owens2021-05-01 13:39:10 +0200
committerMichael Owens2021-05-01 13:39:10 +0200
commitf64d5135fefc12d502669a27eb66d83a144f4bbe (patch)
treeffea3afe4041cba850a847f0609092979607e9ea
parent2a29021d8f1889035fac3e7898054c67b5a3d294 (diff)
downloadaur-f64d5135fefc12d502669a27eb66d83a144f4bbe.tar.gz
Helper to check guilded hash and version
-rwxr-xr-xcheckupdate.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/checkupdate.sh b/checkupdate.sh
new file mode 100755
index 000000000000..956ece31a369
--- /dev/null
+++ b/checkupdate.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+TMP_PATH=/tmp/guildedupdate
+
+rm -rf $TMP_PATH
+mkdir -p $TMP_PATH
+cd $TMP_PATH || exit
+
+wget https://www.guilded.gg/downloads/Guilded-Linux.deb
+hash=$(sha256sum Guilded-Linux.deb | awk '{ print $1 }')
+
+ar x Guilded-Linux.deb
+tar xzf control.tar.gz
+
+version=$(awk '/^Version:/ { print $2 }' control | cut -d '-' -f1)
+
+echo "sha256sum: $hash"
+echo "version: $version"
+
+rm -rf $TMP_PATH \ No newline at end of file